package com.zjrs.zwnw.rlzysc.bpo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.rlzysc.dto.*;

import jakarta.servlet.http.HttpServletResponse;
import java.util.Map;

public interface QzzpglBPO {
    public Map<String, Object> getGrqzxxshList(GrqzQueryDTO dto);
    public Map getGrqzxxshXx(ZjQueryDTO dto);
    public void doGrqzxxsh(ShUDTO dto);
    public void doGrqzxxshTx(ShUDTO dto);
    public void doGrqzxxshJssp(ShUDTO dto);
    public PageResult getGrqzxxglList(GrqzQueryDTO dto);
    public void updateGrqzxxshZt(GrOrDwZtUDTO dto);
    public PageResult getQzxxQzppList(GrqzQueryDTO dto);
    public PageResult getTjdw(TjdwQueryDTO dto);
    public void saveQzxxTjxx(TjUDTO dto);
    public Map<String, Object> getDwzpxxshList(ZpxxQueryDTO dto);
    public Map getDwzpxxshXx(ZjQueryDTO dto);
    public void doDwzpxxsh(ShUDTO dto);
    public void doDwzpxxshXc(ShUDTO dto);
    public void doDwzpxxshJssp(ShUDTO dto);
    public PageResult getDwzpxxglList(ZpxxQueryDTO dto);
    public void exportDwzpxx(ZpxxQueryDTO dto, HttpServletResponse res);
    public void updateDwzpxxglZt(GrOrDwZtUDTO dto);
    public PageResult getZpxxGwppList(ZpxxQueryDTO dto);
    public PageResult getTjr(TjrQueryDTO dto);
    public void saveZpxxTjxx(TjUDTO dto);
    public PageResult getZphList(YdZphQueryDTO dto);
    public PageResult getYdzwshList(YdQueryDTO dto);
    public Map getYdxx(ZjQueryDTO dto);
    public PageResult getzyxxList(ZjQueryListDTO dto);
    public void doYdzwsh(ShUDTO dto);
    public PageResult getHmdglGrList(HmdGrQueryDTO dto);
    public PageResult getHmdglDwList(HmdDwQueryDTO dto);
    public void yrHmdglZt(HmdZtUDTO dto);
    public void ycHmdglZt(HmdZtUDTO dto);
    public PageResult getDwjbxxList(DwxxQueryDTO dto);
    public Map getDwjbxx(ZjQueryDTO dto);
    public void doDwjbxxsh(ShUDTO dto);


    void exportGrqzxxglList(GrqzQueryDTO dto, HttpServletResponse res);
}

